FortID LogoFortID

Update KMS Config

Update Key Management System Credentials Config

Update Key Management System Credentials Config

POST
/control/issuer/{issuerId}/update-key-config

Updates Key Management System Credentials Config if issuerId matches an Issuer which uses third party KMS for credential signing. Some common use cases include:

  • KMS credentials currently provided to the Issuer are expired or will expire
  • The key's certificate has expired
  • The key is being rotated
  • The key is transferred to another server or some other KMS
  • Key name has changed

Path Parameters

issuerId*string

The ID of the Issuer.

Header Parameters

X-API-KEY*string

API key for authenticating requests to the Issuer Service.

Request Body

application/json

issuerKeyConfig?|

Configuration which contains information and credentials required for the issuer to sign with a key pair stored in the KMS.

Response Body

application/json

application/json

application/json

curl -X POST "https://eis.mds2026.fortid.dev/control/issuer/fortid_issuer/update-key-config" \  -H "X-API-KEY: HCLN4ZKnWYJAfyNkDnQ57gEAHuejD6MN" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "error": "User input validation error: Key config validation error: ..."
}
Empty
Empty
{
  "error": "Issuer with provided id not found"
}
Empty
{
  "error": "string"
}